body {
  margin: 0;
  background-color: #2c2f32;
  color: white;
  display: flex;
  width: 100vw;
  height: 100vh;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.content {
  margin: 0 auto;
  background-color: #35393c;
  width: 1200px;
  transition: width ease-in-out 0.1s;
}

nav {
  width: 100%;
  padding: 0.5rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  margin-bottom: 2rem;
  border-bottom: 1px solid #ff6600;
  background-color: #333333;
}
nav .logo {
  height: 40px;
  display: flex;
}
nav .logo img {
  height: 100%;
  margin-right: 1rem;
}
nav .logo .service-name {
  margin: auto auto auto 0;
  font-size: 1.1rem;
}
nav .right {
  display: flex;
  margin: auto 0 0 auto;
}
nav .right span {
  margin: auto;
}
nav .right a {
  color: #ff6600;
  transition: color ease-in-out 0.1s;
}
nav .right a:hover {
  color: #bc4b00;
}

.user-interaction-container {
  min-height: 100px;
  background-color: #5a5a5a;
  margin: 0 2rem;
  display: flex;
  flex-direction: column;
  padding: 2rem;
  box-sizing: border-box;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  border-radius: 5px;
  margin-bottom: 1rem;
}

.upload-area {
  border: dashed 1px #a0a0a0;
}
.upload-area .img-container {
  display: flex;
  height: 80px;
  margin: auto;
}
.upload-area .img-container img {
  -webkit-user-drag: none;
}
.upload-area .text {
  display: flex;
  margin: auto;
}

#upload-area-noscript div {
  text-align: center;
}

.upload-area.drag-active {
  background-color: rgb(64.5, 64.5, 64.5) !important;
}

.processing-floor {
  gap: 0.25rem;
}
.processing-floor .asset-listing {
  display: flex;
  flex-direction: column;
  position: relative;
}
.processing-floor .asset-listing .asset-listing-content {
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.1333333333);
  padding: 1rem;
  box-sizing: border-box;
}
.processing-floor .asset-listing .asset-listing-content .asset-title {
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 0.5rem;
}
.processing-floor .asset-listing .asset-listing-content .asset-options {
  display: flex;
  flex-direction: row;
  gap: 0.25rem;
  flex-shrink: 0;
}
.processing-floor .asset-listing .asset-listing-content .asset-options input[type=checkbox] {
  display: none;
}
.processing-floor .asset-listing .asset-listing-content .asset-options .toggle-button {
  cursor: pointer;
  min-width: 100px;
  display: flex;
  padding: 0.1rem;
  box-sizing: border-box;
  background-color: #171a1e;
  color: gray;
}
.processing-floor .asset-listing .asset-listing-content .asset-options .toggle-button img {
  height: 24px;
  margin: auto 0;
}
.processing-floor .asset-listing .asset-listing-content .asset-options .toggle-button span {
  margin: auto;
}
.processing-floor .asset-listing .asset-listing-content .asset-options .toggle-button span ::before {
  content: "X";
}
.processing-floor .asset-listing .asset-listing-content .asset-options a {
  margin: auto;
  padding: 0.1rem 0.2rem;
  display: flex;
  color: white;
  text-decoration: none;
}
.processing-floor .asset-listing .asset-listing-content .asset-options a img {
  height: 24px;
  margin: auto 0;
}
.processing-floor .asset-listing .asset-listing-content .asset-options a span {
  margin: auto;
}
.processing-floor .asset-listing .asset-listing-content .asset-options a.start {
  background-color: #a04b1e;
}
.processing-floor .asset-listing .asset-listing-content .asset-options a.processing {
  cursor: initial;
}
.processing-floor .asset-listing .asset-listing-content .asset-options a.processing img {
  animation: infinite rotate 1s linear;
}
.processing-floor .asset-listing .asset-listing-content .asset-options a.download {
  background-color: #348925;
}
.processing-floor .asset-listing .asset-listing-content .asset-options #asset-1:checked + .toggle-button {
  background-color: #3d738b;
  color: white;
}
.processing-floor .asset-listing .asset-listing-content .asset-options .asset-start {
  display: flex;
}
.processing-floor .asset-listing .progress-bar {
  background-color: #ff6600;
  height: 5px;
  bottom: 0;
  position: absolute;
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.info-area {
  width: 100%;
  padding: 0.5rem;
  box-sizing: border-box;
}
.info-area h1 {
  text-align: center;
}
.info-area p {
  padding: 0 0.5rem;
  box-sizing: border-box;
}
.info-area ol li {
  margin-bottom: 1rem;
  font-size: 1.1rem;
}
.info-area mark {
  background-color: #4a4a4a;
  color: white;
  padding: 0.1rem 0.25rem;
}
.info-area a {
  color: #00eaff;
  transition: color ease-in-out 0.1s;
}
.info-area a:hover {
  color: #00a2b0;
}

.hidden {
  display: none !important;
}

@media screen and (max-width: 1210px) {
  .content {
    width: 1000px;
  }
}
@media screen and (max-width: 1010px) {
  .content {
    width: 100%;
  }
}